.comments {
    clear: both;
    scroll-margin-top: 120px;
}

.comments-title {
    margin-top: 0;
}

#respond {
    background: var(--color-gray-02);
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin: 0 0 30px;
    padding: 20px;
    scroll-margin-top: var(--topMenuHeight);
}

#reply-title {
    display: flex;
    font-size: 24px;
    font-weight: 600;
    justify-content: space-between;
    line-height: 1.25;
}

#reply-title a {
    flex-grow: 1;
    margin: 0 0 0 5px;
}

#commentform {
    display: flex;
    flex-wrap: wrap;
    font-size: 14px;
    gap: 20px;
}

#commentform input::placeholder,
#commentform textarea::placeholder {
    color: var(--color-black-900);
}

#commentform input:focus-visible,
#commentform textarea:focus-visible {
    outline-color: var(--color-red);
}

#commentform input[type="text"] {
    height: 36px;
    max-width: calc(50% - 10px);
}

#commentform input[type="text"],
.comment-form-input {
    border: 0;
    border-radius: 5px;
    padding: 10px;
    width: 100%;
}

.comment-form-author {
    order: 0;
}

.comment-form-email {
    order: 1;
}

.comment-form-rating {
    position: relative;
    width: 100%;
    display: flex;
    align-items: center;
    order: 2;
}

.comment-form-rating input {
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 0;
    opacity: 0;
    pointer-events: none;
    user-select: none;
}

.comment-form-rating svg {
    width: 20px;
    height: 20px;
    margin-right: 8px;
    cursor: pointer;
}

.comment-form-rating svg.active path,
.comment-form-rating svg.highlight path,
.comment-form-rating svg:hover path {
    fill: var(--color-aa-red);
    stroke: var(--color-aa-red);;
}

.comment-form-rating span {
    margin-left: 12px;
    color: #0E1220;
}

.comment-form-input {
    min-height: 92px;
    order: 3;
}

.comment-form-cookies-consent {
    width: 100%;
    margin-bottom: 0;
    order: 4;
}

.comment-form-submit {
    margin: 0 10px 0 0;
    order: 5;
}

.comment-guest-info {
    align-items: center;
    display: flex;
    order: 6;
}

.comment-form-submit input {
    align-items: center;
    background: var(--color-aa-red);
    border: 0;
    border-radius: 5px;
    color: var(--color-white);
    display: flex;
    font-size: 12px;
    font-weight: 700;
    height: 36px;
    justify-content: center;
    text-transform: uppercase;
    width: 100%;
    min-width: 164px;
    padding: 0 10px;
}

.comment-form-submit input:hover {
    opacity: 1 !important;
    background: #ce0900;
}

/* comments */
.comment-list {
    display: flex;
    flex-direction: column;
    gap: 20px;
    list-style: none;
}

ol.comment-list {
    margin-left: 0;
}

.comment-approved {
    color: var(--color-red);
    font-size: 18px;
    margin: 10px 0;
}

.comment {
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 30px 0 10px;
}

.comment:first-child {
    padding-top: 0;
}

.comment-depth-1:not(:first-child) {
    border-top: 1px solid rgba(43, 56, 74, .1);
}

.comment-top {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.comment-left {
    display: flex;
    gap: 10px;
}

.comment-img {
    border-radius: 50%;
    display: flex;
    max-height: 40px;
    object-fit: cover;
}

.comment-info {
    display: flex;
    flex-direction: column;
}

.comment-author {
    align-items: center;
    color: var(--color-black-700);
    display: flex;
    flex-wrap: wrap;
    font-weight: 700;
    gap: 15px;
}

.comment-author-expert {
    align-items: center;
    color: var(--color-blue-600);
    display: flex;
    font-size: 12px;
    font-weight: 600;
    gap: 2px;
}

.comment-author-expert:after {
    content: 'ЭКСПЕРТ';
}

.comment-trener {
    font-size: 14px;
    line-height: 1.25;
}

.comment-trener span {
    color: var(--color-red);
    font-weight: 700;
}

.comment-content {
    font-size: 14px;
    line-height: 22px;
    max-width: 100%;
    padding: 0 0 0 50px;
    word-break: break-word;
    word-wrap: break-word;
}

.comment-content p:last-of-type {
    margin-bottom: 10px;
}

.comment-date {
    color: var(--color-black-100);
    font-size: 13px;
    font-weight: 500;
    line-height: 1.5;
    opacity: .8;
}

.comment-rating {
    padding: 0 0 0 50px;
}

.comment-list .children {
    padding: 0 0 0 50px;
    position: relative;
}

.comment-list .children:before {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='20' height='20' fill='none'%3E%3Cpath stroke='%23BCBDC2' stroke-linecap='round' stroke-linejoin='round' stroke-width='1.5' d='m13.75 8.125 3.75 3.75-3.75 3.75'/%3E%3Cpath stroke='%23BCBDC2' stroke-linecap='round' stroke-linejoin='round' stroke-width='1.5' d='M2.5 4.375a7.5 7.5 0 0 0 7.5 7.5h7.5'/%3E%3C/svg%3E");
    content: "";
    height: 20px;
    left: 15px;
    position: absolute;
    top: 20px;
    width: 20px;
}

.comment-reply-link {
    align-items: center;
    display: flex;
    font-size: 12px;
    font-weight: 600;
    gap: 4px;
    line-height: 1.5;
    padding: 0 0 0 50px;
    text-transform: uppercase;
}

.comment-reply-link:before {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='20' height='20' fill='none'%3E%3Cpath stroke='%23FF4B42' stroke-linecap='round' stroke-linejoin='round' stroke-miterlimit='10' stroke-width='1.5' d='M14.058 4.742H7.392a4.168 4.168 0 0 0-4.167 4.166c0 2.3 1.867 4.167 4.167 4.167h9.166'/%3E%3Cpath stroke='%23FF4B42' stroke-linecap='round' stroke-linejoin='round' stroke-width='1.5' d='m14.642 10.992 2.133 2.133-2.133 2.133'/%3E%3C/svg%3E");
    content: "";
    display: inline-flex;
    height: 20px;
    width: 20px;
}

@media screen and (min-width: 1024px) {
    .comment-top {
        align-items: flex-start;
        flex-direction: row;
        justify-content: space-between;
    }

    .comments {
        scroll-margin-top: 270px;
    }
}

@media (max-width: 576px) {
    #commentform {
        gap: 10px;
    }

    #commentform input[type="text"] {
        max-width: 100%;
    }

    .comment-form-rating {
        margin: 10px 0;
    }
}
